com.io7m.smfj.bytebuffer

## Class SMFByteBufferPackedMesh.Builder

- java.lang.Object
- - com.io7m.smfj.bytebuffer.SMFByteBufferPackedMesh.Builder

- Enclosing class:
    SMFByteBufferPackedMesh

      public static final class SMFByteBufferPackedMesh.Builder
      extends Object

  Builds instances of type `SMFByteBufferPackedMesh`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SMFByteBufferPackedMesh.Builder` | `addAllAttributeSets(Iterable<SMFByteBufferPackedAttributeSet> element)`
    `SMFByteBufferPackedMesh.Builder` | `addAttributeSets(SMFByteBufferPackedAttributeSet element)`
    `SMFByteBufferPackedMesh` | `build()` Builds a new `SMFByteBufferPackedMesh`.
    `SMFByteBufferPackedMesh.Builder` | `from(SMFByteBufferPackedMeshType instance)` Fill a builder with attribute values from the provided `SMFByteBufferPackedMeshType` instance.
    `SMFByteBufferPackedMesh.Builder` | `setAttributeSets(javaslang.collection.Seq<SMFByteBufferPackedAttributeSet> elements)`
    `SMFByteBufferPackedMesh.Builder` | `setHeader(SMFHeader header)` Initializes the value for the `header` attribute.
    `SMFByteBufferPackedMesh.Builder` | `setIterableAttributeSets(Iterable<SMFByteBufferPackedAttributeSet> elements)`
    `SMFByteBufferPackedMesh.Builder` | `setTriangles(Optional<? extends SMFByteBufferPackedTriangles> triangles)` Initializes the optional value `triangles` to triangles.
    `SMFByteBufferPackedMesh.Builder` | `setTriangles(SMFByteBufferPackedTriangles triangles)` Initializes the optional value `triangles` to triangles.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final SMFByteBufferPackedMesh.Builder from(SMFByteBufferPackedMeshType instance)

      Fill a builder with attribute values from the provided `SMFByteBufferPackedMeshType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### addAttributeSets

          public SMFByteBufferPackedMesh.Builder addAttributeSets(SMFByteBufferPackedAttributeSet element)

    - #### addAllAttributeSets

          public SMFByteBufferPackedMesh.Builder addAllAttributeSets(Iterable<SMFByteBufferPackedAttributeSet> element)

    - #### setAttributeSets

          public SMFByteBufferPackedMesh.Builder setAttributeSets(javaslang.collection.Seq<SMFByteBufferPackedAttributeSet> elements)

    - #### setIterableAttributeSets

          public SMFByteBufferPackedMesh.Builder setIterableAttributeSets(Iterable<SMFByteBufferPackedAttributeSet> elements)

    - #### setTriangles

          public final SMFByteBufferPackedMesh.Builder setTriangles(SMFByteBufferPackedTriangles triangles)

      Initializes the optional value `triangles` to triangles.
      Parameters:
        `triangles` - The value for triangles
      Returns:
        `this` builder for chained invocation

    - #### setTriangles

          public final SMFByteBufferPackedMesh.Builder setTriangles(Optional<? extends SMFByteBufferPackedTriangles> triangles)

      Initializes the optional value `triangles` to triangles.
      Parameters:
        `triangles` - The value for triangles
      Returns:
        `this` builder for use in a chained invocation

    - #### setHeader

          public final SMFByteBufferPackedMesh.Builder setHeader(SMFHeader header)

      Initializes the value for the `header` attribute.
      Parameters:
        `header` - The value for header
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public SMFByteBufferPackedMesh build()

      Builds a new `SMFByteBufferPackedMesh`.
      Returns:
        An immutable instance of SMFByteBufferPackedMesh
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com